Bug 438754 - Package kit doesn't handle srpms gracefully
Package kit doesn't handle srpms gracefully
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 17:24 EDT by Jonathan Blandford
Modified: 2013-04-02 00:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 09:44:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of what is in git (54.43 KB, image/png)
2008-03-26 09:37 EDT, Richard Hughes
no flags Details

  None (edit)
Description Jonathan Blandford 2008-03-24 17:24:30 EDT
SSIA.  Basically, it seems to try to handle them as normal rpms and fails.
Comment 1 Richard Hughes 2008-03-25 20:20:05 EDT
What should we do in this case? Try to install them or show a message saying we
can't install .src.rpms?

If it's the latter then I think this should be a check in the backend, as a
src.rpm seems backend specific to me. ERROR_ENUM_CANT_INSTALL_SOURCE_PACAKGES
seems most sane to me. Robin, is this possible to check in the backend?

Thanks,

Richard.
Comment 2 Richard Hughes 2008-03-26 09:37:44 EDT
Created attachment 299146 [details]
screenshot of what is in git

This is what timlau and I have added into git.

Note You need to log in before you can comment on or make changes to this bug.